API ReferenceapiaffiliatesPOST /v1/affiliates/{id}/evaluate-tier

POST /v1/affiliates/\{id\}/evaluate-tier

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Tier evaluation result

{
  "type": "object",
  "properties": {
    "tier_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "tier_name": {
      "type": [
        "string",
        "null"
      ]
    },
    "commission_rate_bps": {
      "type": [
        "integer",
        "null"
      ]
    },
    "changed": {
      "type": "boolean"
    }
  },
  "required": [
    "tier_id",
    "tier_name",
    "commission_rate_bps",
    "changed"
  ]
}

404 Affiliate not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://affiliates.platform.loop.health/v1/affiliates/{id}/evaluate-tier \
  -H "Authorization: Bearer $ACCESS_TOKEN"